API Reference
Add screening check information
/v1/retail/screening_check https://api.cable.tech Retail endpoint for adding new screening check information
Authentication
- API key in the x-api-key header
Request body
Request body for adding screening checks information, such as PEP, AM & Sanctions for a parent entity
-
timestampstring requiredOriginal timestamp relating to this screening check information creation/change
Format
date-time -
dataobject required-
screening_idstring requiredThe ID linking the initial/reviewed result
Limits
min length 1 -
screening_typestring requiredThe type of screening check that was performed. One of: SANCTION, PEP, ADVERSE_MEDIA
Limits
min length 1 -
screening_listslist of stringsThe lists that were screened against. E.g. OFAC, ComplyAdvantage Watchlists…
Limits
min length 1min items 1 -
screening_outcomestring requiredThe outcome of the screening check. One of: POSITIVE, NEGATIVE, TRUE_POSITIVE, TRUE_NEGATIVE, FALSE_POSITIVE, FALSE_NEGATIVE
Limits
min length 1 -
screening_providerstring requiredThe provider that performed the screening check
Limits
min length 1 -
customobjectCustom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.
-
-
parentobject required-
idstring requiredUnique external identifier of the parent entity, ID stored in your database / back-office
Limits
min length 1
-
Responses
200 Operation success
-
successboolean requiredYou probably did something wrong if you set this to false
Default
true
Errors
- default Operation error
-
codestring required -
messagestring required -
dataobject